import { Operation } from "express-openapi";
import * as common from "../../../common";
import * as config from "../../../config";
import * as db from "../../../db";
declare enum RegisterMode {
    Channel = "Channel",
    Service = "Service"
}
interface ChannelScanOption {
    type: string;
    startCh?: number;
    endCh?: number;
    startSubCh?: number;
    endSubCh?: number;
    useSubCh?: boolean;
    registerMode?: RegisterMode;
    registerOnDisabled?: boolean;
    refresh?: boolean;
}
interface ScanConfig {
    readonly channels: string[];
    readonly registerMode: RegisterMode;
    readonly registerOnDisabled: boolean;
}
export declare function generateScanConfig(option: ChannelScanOption): ScanConfig;
export declare function generateChannelItemForService(type: common.ChannelType, channel: string, service: db.Service, registerOnDisabled: boolean): config.Channel;
export declare function generateChannelItemForChannel(type: common.ChannelType, channel: string, services: db.Service[], registerOnDisabled: boolean): config.Channel;
export declare function generateChannelItems(registerMode: RegisterMode, type: common.ChannelType, channel: string, services: db.Service[], registerOnDisabled: boolean): config.Channel[];
export declare const put: Operation;
export {};
